Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.DS.MatType

class slepc4py.SLEPc.DS.MatType

  Bases: `object`

  To refer to one of the matrices stored internally in DS.

  - `A`: first matrix of eigenproblem/singular value problem.

  - `B`: second matrix of a generalized eigenproblem.

  - `C`: third matrix of a quadratic eigenproblem.

  - `T`: tridiagonal matrix.

  - `D`: diagonal matrix.

  - `Q`: orthogonal matrix of (right) Schur vectors.

  - `Z`: orthogonal matrix of left Schur vectors.

  - `X`: right eigenvectors.

  - `Y`: left eigenvectors.

  - `U`: left singular vectors.

  - `V`: right singular vectors.

  - `W`: workspace matrix.

  Attributes Summary

  `A` | Constant `A` of type `int`
  `B` | Constant `B` of type `int`
  `C` | Constant `C` of type `int`
  `D` | Constant `D` of type `int`
  `Q` | Constant `Q` of type `int`
  `T` | Constant `T` of type `int`
  `U` | Constant `U` of type `int`
  `V` | Constant `V` of type `int`
  `W` | Constant `W` of type `int`
  `X` | Constant `X` of type `int`
  `Y` | Constant `Y` of type `int`
  `Z` | Constant `Z` of type `int`

  Attributes Documentation

  A: int = A

    Constant `A` of type `int`

  B: int = B

    Constant `B` of type `int`

  C: int = C

    Constant `C` of type `int`

  D: int = D

    Constant `D` of type `int`

  Q: int = Q

    Constant `Q` of type `int`

  T: int = T

    Constant `T` of type `int`

  U: int = U

    Constant `U` of type `int`

  V: int = V

    Constant `V` of type `int`

  W: int = W

    Constant `W` of type `int`

  X: int = X

    Constant `X` of type `int`

  Y: int = Y

    Constant `Y` of type `int`

  Z: int = Z

    Constant `Z` of type `int`